import IcHome from '../assets/svg/ic_home.svg';
import IcBtnAdd from '../assets/icon/ic_button_add.png';
import IcClock from '../assets/svg/ic_calendar.svg';
import IcEvent from '../assets/svg/ic_event.svg';
import IcLocation from '../assets/svg/ic_location.svg';
import IcNotification from '../assets/icon/icon_notification.png';
import IcSearch from '../assets/svg/ic_search.svg';
import IcUpload from '../assets/svg/ic_upload.svg';
import IcQR from '../assets/svg/ic_qr.svg';
import EventImg from '../assets/svg/event_img.svg';
import IcHomeFocus from '../assets/svg/ic_home_focused.svg';
import IcEventFocus from '../assets/svg/ic_event_focused.svg';
import IcNotificationFocus from '../assets/svg/ic_notification_focused.svg';
import IcUserFocus from '../assets/svg/ic_user_focused.svg';
import IcDashboardFocus from '../assets/svg/icon_dashboard_focused.svg';
import IcDashboard from '../assets/svg/icon_dashboard.svg';
import IcLogoEvent from '../assets/icon/ic_logo_example.png';
import IcLogo from '../assets/images/image_logo.png';
import IcHideEye from '../assets/icon/ic_hide.png';
import IcVisibleEye from '../assets/icon/ic_visibility.png';
import IcLock from '../assets/icon/ic_lock.png';
import IcLockGrey from '../assets/icon/icon_clock_grey.png';
import IcMail from '../assets/icon/ic_mail.png';
import IcMailBlue from '../assets/icon/ic_email_blue.png';
import IcChecked from '../assets/icon/ic_checked.png';
import IcCheckedGreen from '../assets/icon/icon_checkmark_green.png';
import IcErrorRed from '../assets/icon/icon_error_red.png';
// ic_down_arrow
import IcDownArrow from '../assets/icon/ic_down_arrow.png';
import IcBtnBack from '../assets/icon/ic_back.png';
import IcStarted from '../assets/icon/icons_get_start.png';
import IcInputDomain from '../assets/icon/icon_domain.png';
import IcLogin from '../assets/icon/image_login.png';
import IcMenu from '../assets/icon/icons_menu.png';
// Background
import BgHeader from '../assets/icon/header_bg.jpg';
import BgProfileCard from '../assets/images/bg_card_profile.png';
import BgProfile from '../assets/images/bg_profile.jpg';
import BgBirthday from '../assets/images/bg_birthday.png';
import BgFrame from '../assets/images/image_frame.png';
import BgBirthdayHeader from '../assets/images/bg_birthday_header.png';
import BgQuote from '../assets/images/bg_quote.png';
import BgStep1 from '../assets/images/bg_step1.png';
import BgFtStep1 from '../assets/images/bg_footer_step1.png';
import BgTop from '../assets/images/bg_top.png';
import BgStep2 from '../assets/images/bg_step2.jpg';
import BgStep3 from '../assets/images/bg_step3.jpg';
import BgNoConnection from '../assets/images/bg_no_connection.png';
//
import Logo from '../assets/icon/logo.png';
import ImgAvatar from '../assets/images/image_user.png';
import BgCoverImage from '../assets/images/bg_cover_image.jpg';

// icons info
import IcUser from '../assets/icon/icon_user.png';
import IcChangeCoverImage from '../assets/icon/icon_camera_white.png';
import IcUserTag from '../assets/icon/icon_user_tag.png';
import IcInfoGuess from '../assets/icon/icon_guess.png';
import IcCalendar from '../assets/icon/icon_calendar.png';
import IcCheck from '../assets/icon/icon_check.png';
import IcPhone from '../assets/icon/icon_phone.png';
import IcMailGray from '../assets/icon/icon_mail.png';
import IcCalendarGray from '../assets/icon/icon_calendar_gray.png';
import IcLocationGray from '../assets/icon/icon_location.png';
// Socials
import FACEBOOK from '../assets/icon/icon_fb.png';
import EMAIL from '../assets/icon/email.png';
import SKYPE from '../assets/icon/icon_skype.png';
import LINKEDIN from '../assets/icon/icon_linkedin.png';
import TWITTER from '../assets/icon/icon_twitter.png';
import INSTAGRAM from '../assets/icon/icon_instagram.png';
import WHATSAPP from '../assets/icon/icon_whatsapp.png';
import VIPER from '../assets/icon/icon_viber.png';
import SNAPCHAT from '../assets/icon/icon_snapchat.png';
import TELEGRAM from '../assets/icon/icon_telegram.png';
import APPLE from '../assets/icon/icon_apple.png';
import YOUTUBE from '../assets/icon/icon_youtube.png';
import PINTEREST from '../assets/icon/icon_pinterest.png';

import IcOverview from '../assets/icon/Ic_overview.png';
import IcLeave from '../assets/icon/Ic_leave.png';
import IcOvertime from '../assets/icon/Ic_overtime.png';
import IcSalary from '../assets/icon/Ic_salary.png';
import IcConfirmDay from '../assets/icon/Ic_confirm_day.png';
import IcLogout from '../assets/icon/Ic_logout.png';
import IcEdit from '../assets/icon/icon_edit.png';
import IcCheckMark from '../assets/icon/icon_checkmark.png';
import IcDenied from '../assets/icon/icon_denied.png';
import IcShift from '../assets/icon/icon_shift.png';
// icon leave
import uCheck from '../assets/icon/u_check.png';
import uMinus from '../assets/icon/u_minus.png';
import IcAccept from '../assets/icon/accept_icon.png';
import IcReject from '../assets/icon/reject_icon.png';
import IcSend from '../assets/icon/send-message.png';
//
import IcTask from '../assets/icon/icon_task.png';
import IcBackTime from '../assets/icon/icon_time_back.png';
import IcClose from '../assets/icon/icon_close.png';
import IcCloseBlack from '../assets/icon/icon_close_black.png';
import IcUpArrow from '../assets/icon/icon_up.png';
import IcPhoneGrey from '../assets/icon/icon_phone_grey.png';

// IconTimeSheet
import IcRightForward from '../assets/icon/icon_right_forward.png';
import IcLeftForward from '../assets/icon/icon_left_forward.png';
import IcCopyBlue from '../assets/icon/icon_copy.png';
import IcDocument from '../assets/icon/icon_document.png';
// IconDrawer
import IcDataSheet from '../assets/icon/icon_data_sheet.png';
import IcNotificationColor from '../assets/icon/icon_notifications.png';
// Icon comment
import IcLike from '../assets/icon/ic_like.png';
import IcTextEditor from '../assets/icon/ic_text-editor.png';
import IcEmoji from '../assets/icon/ic_emoji.png';
import IcAttachment from '../assets/icon/ic_attachment.png';
import IcSendMessage from '../assets/icon/ic_send.png';

import GifLogo from '../assets/gif/logo_anawork.gif';
import IcAdd from '../assets/icon/icon_plus.png';
import IcMinus from '../assets/icon/icon_minus.png';

import IcSearchPNG from '../assets/icon/icon_search.png';
import IcArrowDown from '../assets/icon/ic_arrow_down.png';
import IcArrowRight from '../assets/icon/ic_arrow_right.png';
import IcArrowRightGrey from '../assets/icon/ic_arrow_right_grey.png';

import IcDoubleArrowLeft from '../assets/icon/ic_double_arrow_left.png';
import IcDoubleArrowLeftGrey from '../assets/icon/ic_double_arrow_left_grey.png';

import IcDoubleArrowRightGrey from '../assets/icon/ic_double_arrow_right_grey.png';
import IcDoubleArrowRight from '../assets/icon/ic_double_arrow_right.png';
import IcArrowLeft from '../assets/icon/ic_arrow_left.png';
import IcArrowLeftGrey from '../assets/icon/ic_arrow_left_grey.png';
import IcCollapse from '../assets/icon/icon_collapse.png';

import IcStatusOff from '../assets/icon/icon_status_off.png';
import IcStatusDone from '../assets/icon/icon_status_on.png';

import IcSelectAllWhite from '../assets/icon/icon_all_noti_white.png';
import IcSelectAll from '../assets/icon/icon_all_noti.png';
import IcOtNoti from '../assets/icon/icon_ot_noti.png';
import IcOtNotiWhite from '../assets/icon/icon_ot_noti_white.png';
import IcTrash from '../assets/icon/icon_trash.png';

import IcLeaveNoti from '../assets/icon/icon_leave_noti.png';
import IcLeaveNotiWhite from '../assets/icon/icon_leave_noti_white.png';
import IcTimeSheetNoti from '../assets/icon/icon_timesheet_noti.png';
import IcTimeSheetNotiWhite from '../assets/icon/icon_timesheet_noti_white.png';
import IcSalaryNoti from '../assets/icon/icon_salary_noti.png';
import IcSalaryNotiWhite from '../assets/icon/icon_salary_noti_white.png';
import IcGreenChecked from '../assets/icon/check.png';
import IcYellowMinus from '../assets/icon/minus.png';

import IcAddMoreImg from '../assets/icon/icon_add_more_img.png';
import IcRefresh from '../assets/icon/icon_refresh.png';
import IcMore from '../assets/icon/icon_more.png';

import gifLeave from '../assets/gif/gif_leaves.gif';
import gifOt from '../assets/gif/gif_ot.gif';
import gifConfirm from '../assets/gif/gif_confirm.gif';
import gifSalary from '../assets/gif/gif_salary.gif';
import gifBirthdayCake from '../assets/gif/gif_birthdaycake.gif';

import ImageCoverBg from '../assets/images/image_cover.png';
import ImageQrCode from '../assets/icon/image_qrcode.png';
import IconMailGrey from '../assets/icon/icon_mail_grey.png';
//story component
import IconAddStory from '../assets/icon/icon_add_story.png';

import IcCloseGrey from '../assets/icon/icon_close_grey.png';
import IcOutlineSend from '../assets/icon/icon_outline_send.png';
import IcAvatarDefault from '../assets/icon/icon_avatar_default.png';

export const IMAGES = {
  IcHome,
  IcHomeFocus,
  IcBtnAdd,
  IcClock,
  IcEdit,
  IcEvent,
  IcEventFocus,
  IcLocation,
  IcNotification,
  IcNotificationFocus,
  IcSearch,
  IcTrash,
  IcUpload,
  IcUser,
  IcUserFocus,
  IcQR,
  EventImg,
  IcLogout,
  IcDashboard,
  IcDashboardFocus,
  IcLogoEvent,
  IcLogo,
  IcHideEye,
  IcVisibleEye,
  IcLock,
  IcMail,
  IcChecked,
  IcMailBlue,
  IcDownArrow,
  IcBtnBack,
  IcStarted,
  IcInputDomain,
  IcLogin,
  IcMenu,
  BgHeader,
  Logo,
  BgProfile,
  BgProfileCard,
  BgBirthday,
  BgFrame,
  BgQuote,
  BgCoverImage,
  BgNoConnection,
  ImgAvatar,
  IcCalendar,
  IcCheck,
  IcUserTag,
  IcInfoGuess,
  IcPhone,
  IcMailGray,
  IcCalendarGray,
  IcLocationGray,
  IcTask,
  IcBackTime,
  IcClose,
  IcUpArrow,
  uCheck,
  uMinus,
  IcLockGrey,
  IcCheckMark,
  IcDenied,
  IcLike,
  IcAccept,
  IcReject,
  IcSend,
  IcTextEditor,
  IcEmoji,
  IcAttachment,
  IcSendMessage,
  IcAdd,
  IcMinus,
  IcSearchPNG,
  IcArrowDown,
  IcArrowRight,
  IcDoubleArrowLeft,
  IcArrowLeft,
  IcArrowRightGrey,
  IcDoubleArrowLeftGrey,
  IcDoubleArrowRight,
  IcGreenChecked,
  IcYellowMinus,
  IcAddMoreImg,
  IcArrowLeftGrey,
  IcDoubleArrowRightGrey,
  BgBirthdayHeader,
  IcRefresh,
  ImageCoverBg,
  IcChangeCoverImage,
  ImageQrCode,
  IcPhoneGrey,
  IconMailGrey,
  IcCloseGrey,
  IcMore,
  IcOutlineSend,
  IcAvatarDefault,
  IcLeaveNoti,
};
export const BgIntroduce = {
  BgStep1,
  BgFtStep1,
  BgStep2,
  BgStep3,
  BgTop,
  IcCheckedGreen,
  IcErrorRed,
};
export const IconTimeSheet = {
  IcRightForward,
  IcLeftForward,
  IcCopyBlue,
  IcDocument,
  IcClose,
  IcCollapse,
};
export const IconDrawer = {
  IcDataSheet,
  IcOverview,
  IcLeave,
  IcOvertime,
  IcSalary,
  IcConfirmDay,
  IcShift,
  IcNotificationColor,
};
export const ImageLogo = {
  GifLogo,
};
export const IconProfile = {
  IcCloseBlack,
};
export const IconSocial = {
  FACEBOOK,
  EMAIL,
  SKYPE,
  LINKEDIN,
  TWITTER,
  INSTAGRAM,
  WHATSAPP,
  VIPER,
  SNAPCHAT,
  TELEGRAM,
  APPLE,
  YOUTUBE,
  PINTEREST,
};
export const IcNotificationList = {
  IcStatusOff,
  IcStatusDone,
  IcSelectAll,
  IcSelectAllWhite,
  IcTrash,
  IcOtNoti,
  IcOtNotiWhite,
  IcLeaveNoti,
  IcLeaveNotiWhite,
  IcTimeSheetNoti,
  IcTimeSheetNotiWhite,
  IcSalaryNoti,
  IcSalaryNotiWhite,
};
export const GifType = {
  gifLeave,
  gifOt,
  gifConfirm,
  gifSalary,
  gifBirthdayCake,
};
export const StoryIc = {
  IconAddStory,
};
